import {createBrowserRouter, RouterProvider} from "react-router-dom"

import './App.css'
import Elections2024 from './Elections2024'

function App() {
  const router = createBrowserRouter([
    {
      path: "/",
      element: <Elections2024 typeResultats="france" />,
    },
    {
      path: "/elections/europeennes/2024/:typeResultats/",
      element: <Elections2024 />,
    },
    {
      path: "/elections/europeennes/2024/:typeResultats/:zoneId/",
      element: <Elections2024 />
    },
  ])

  return <>
    <RouterProvider router={router} />
  </>
}

export default App;
